<?
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/ini.php");
if (isset($user)) {

switch($go) {

default:
if(!@file("local/santa/$log.dat")){
echo"- Вы не учасник <b>Нашего</b> эвента<br/>
- Вы можете принять участие <a href=\"ev.php?$sd&go=reg\">здесь</a><br/>
- <a href=\"ev.php?$sd&go=prav\">Правила эвента</a><br/>";}else{
$text = @file("local/santa/$log.dat");
$text = explode(":||:",$text[0]);
echo "<img src=\"img/ev.jpeg\"><br/>";
echo"-Здрастуй Воин!Я потерял свои ElfSkin,помоги мне их найти,и я тебе дам уникальное оружие:<br/>Смотрите<br/>";
echo"- У вас ElfSkin: $text[0]<br/>
- Нужно ElfSkin: 150<br/>
- <a href=\"ev.php?$sd&go=prav\">Правила эвента</a><br/>
- <img src=\"pic/weapon/Kogot Tigra Dinastiy.gif\" alt=\"pic\"/><a href=\"ev.php?$sd&go=go\">Обменять на Коготь Тигра Династии</a><br/>";}
break;

case 'reg':
if(!@file("local/santa/$log.dat")){
$text="0:||:";

$fp=fopen("local/santa/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("local/santa/$log.dat", 0666);
echo"- Вы успешно подали заявку на эвент<br/>
- <a href=\"ev.php?$sd\">Продолжить</a><br/>";}else{
echo"- Вы уже принимаете участь в эвенте<br/>
- <a href=\"ev.php?$sd\">Продолжить</a><br/>";}
break;
case 'prav':
echo"- Что б получить <b>Коготь Тигра Династии</b> нужно набить 150 ElfSkin, их можно добыть в любых окрестностях убивая любых монстров.Эвент будет длится до 15.03.2011<br/>
- <a href=\"ev.php?$sd\">Вернутса</a><br/>";
break;
case 'go':
if(!@file("local/santa/$log.dat")){echo"- Вы не участвуете в эвенте"; include "include/down.php"; exit;}
$text = @file("local/santa/$log.dat");
$text = explode(":||:",$text[0]);
if($text[0]<"150"){echo"- Вы несобрали нужное количество ресурсов у вас $text[0] ElfSkin"; include "include/down.php"; exit;}else{
$text2="3000:||:1100500:||:weapon:||:NG:||:Kogot Tigra Dinastiy:||:";

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink("local/santa/$log.dat");
echo"- Вы успешно получили <b>Коготь Тигра Династии</b>";}
break;
case 'bow':
if(!@file("local/santa/$log.dat")){echo"- Вы не участвуете в эвенте"; include "include/down.php"; exit;}
$text = @file("local/santa/$log.dat");
$text = explode(":||:",$text[0]);
if($text[0]<"100"){echo"- Вы несобрали нужное количество ресурсов у вас $text[0] Santa Stem"; include "include/down.php"; exit;}else{
$text2="8000:||:11100500:||:weapon:||:S:||:Santa Bow:||:";

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@unlink("local/santa/$log.dat");
echo"- Вы успешно получили <b>Santa Bow</b>";}
break;
}}else{echo"<small>Пароль или логин неверен!</small>";}
include 'include/down.php';
?>
